1. Webhooks
Conectados - API Retail
  • API Conectados
  • Autenticaci贸n
  • 馃洅 Store
    • Obtener el Saldo de un Billetera Habiente
      GET
    • Validar condiciones para proceder con la venta
      POST
    • Anular la venta
      PUT
    • Crear una venta
      POST
    • Listar ventas por local
      GET
  • Seguridad
    • Obtener Certificado
    • Firmar Mensajes
  • Webhooks
    • Aprobar condiciones
      POST
    • Rechazo de aprobaci贸n
      POST
    • Crear Venta
      POST
    • Venta ya creada
      POST
    • OTP expirado
      POST
    • OTP Inv谩lido
      POST
    • Anulaci贸n de venta
      POST
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • Schemas
      • UserBalances
      • CodeSale
      • Sale
      • VoidSale
    • basic response
  1. Webhooks

Aprobar condiciones

Developing
POST
/api/webhooks/retail-events

Request

Body Params application/json

Example
{
    "event_type": "sale_conditions_approved",
    "code": 0,
    "state": "created",
    "message": "La solicitud fue procesada con 茅xito",
    "purchase_allowed": true,
    "otp_required": true,
    "otp_sent": true,
    "otp_valid_until": "2025-02-25T12:44:56Z",
    "transaction_id": 12345,
    "approval_sale_code": "1a2b3c4d5e6f7g8h9i0j",
    "approval_code_valid_until": "2025-02-25T12:44:56Z",
    "aproved_total_amount": 11000,
    "external_reference": "retail-20250701-abc123",
    "aproved_details": [
        {
            "category_id": "49835",
            "amount": 1000
        },
        {
            "category_id": "21394",
            "amount": 10000
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/webhooks/retail-events' \
--header 'Content-Type: application/json' \
--data-raw '{
    "event_type": "sale_conditions_approved",
    "code": 0,
    "state": "created",
    "message": "La solicitud fue procesada con 茅xito",
    "purchase_allowed": true,
    "otp_required": true,
    "otp_sent": true,
    "otp_valid_until": "2025-02-25T12:44:56Z",
    "transaction_id": 12345,
    "approval_sale_code": "1a2b3c4d5e6f7g8h9i0j",
    "approval_code_valid_until": "2025-02-25T12:44:56Z",
    "aproved_total_amount": 11000,
    "external_reference": "retail-20250701-abc123",
    "aproved_details": [
        {
            "category_id": "49835",
            "amount": 1000
        },
        {
            "category_id": "21394",
            "amount": 10000
        }
    ]
}'

Responses

馃煝201Created
application/json
Body

Example
{
  "status": "received",
  "message": "Webhook processed successfully",
  "event": "sale_conditions_approved",
  "transaction_id": 12345
}
Modified at聽2025-07-01 18:53:48
Previous
Firmar Mensajes
Next
Rechazo de aprobaci贸n
Built with